package cn.com.ty.lift.ud.expertComment.service;

import cn.com.ty.lift.ud.expertComment.controller.query.ExpertCommentQuery;
import cn.com.ty.lift.ud.expertComment.mapper.entity.ExpertCommentEntity;
import cn.com.ty.lift.ud.expertComment.mapper.entity.ScoreInfo;
import cn.com.ty.lift.ud.userInfo.mapper.entity.UserInfoEntity;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 诊单评论  -Service
 * 
 * @author Xson
 * @date 2020-05-06
 */
public interface IExpertCommentService extends IService<ExpertCommentEntity> {

    RestResponse selectByExample(ExpertCommentQuery request);

    void updateByIds(List<Long> ids, Integer status);

    RestResponse getExpertComment(ExpertCommentQuery request);

    RestResponse saveComment(ExpertCommentEntity entity);

    ScoreInfo getScoreByExpertId(Long userId);
    
    List<ExpertCommentEntity>getCommentByUserId(Long expertId);
}
